## libkexiv2 15.08.2

=== CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(libkexiv2)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: libkexiv2")

find_package(KDE4 REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)
include(MacroOptionalFindPackage)
include(FindPackageHandleStandardArgs)

add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${QDBUS_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set(LIBKEXIV2_AREA_CODE_GENERAL 51003)
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=${LIBKEXIV2_AREA_CODE_GENERAL})

set(EXIV2_MIN_VERSION "0.24")
find_package(Exiv2)
MACRO_LOG_FEATURE(EXIV2_FOUND "Exiv2" "Required to build libkexiv2." "http://www.exiv2.org"
                  TRUE ${EXIV2_MIN_VERSION} "")

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0
# 0.1.1 => 0.2.0
# 0.1.2 => 1.0.1
# 0.1.3 => 1.0.1
# 0.1.4 => 2.0.2
# 0.1.5 => 2.1.1
# 0.1.6 => 3.0.0
# 0.1.7 => 4.0.1
# 0.1.8 => 5.0.0
# 0.2.0 => 6.0.0     (released with KDE 4.1.0)
# 0.3.0 => 7.0.0     (released with KDE 4.1.2)
# 0.4.0 => 7.1.0
# 0.5.0 => 7.2.0     (Released with KDE 4.2.0)
# 0.6.0 => 7.3.0     (Released with KDE 4.3.0)
# 1.0.0 => 8.0.0     (Released with KDE 4.4.0)
# 1.1.0 => 8.1.0     (Released with KDE 4.5.0)
# 1.2.0 => 9.0.0     (Released with KDE 4.6.0  - Including XMP sidecar support
# 2.0.0 => 10.0.0    (Released with KDE 4.7.0)
# 2.1.0 => 10.0.1    (Released with KDE 4.7.1) - Add AltLangStrEdit visible lines API
# 2.1.1 => 10.0.2    (Released with KDE 4.7.4) - Add AltLangStrEdit::setCurrentLanguageCode()
# 2.2.0 => 11.0.0    (Released with KDE 4.8.1) - Remove deprecated methods
# 2.3.0 => 11.1.0    (Released with KDE 4.8.2) - Add new static methods about XMP sidecar file management.
# 2.3.1 => 11.2.0                              - Add new method to set specific XMP tag string
# 2.4.0 => 11.3.0                              - Add new method to access on text edit widget from AltLangStrEdit.

# Library API version
set(KEXIV2_LIB_MAJOR_VERSION "2")
set(KEXIV2_LIB_MINOR_VERSION "4")
set(KEXIV2_LIB_PATCH_VERSION "0")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
set(KEXIV2_LIB_SUFFIX_VERSION "")

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
set(KEXIV2_LIB_SO_CUR_VERSION "11")
set(KEXIV2_LIB_SO_REV_VERSION "3")
set(KEXIV2_LIB_SO_AGE_VERSION "0")

# =======================================================
# Set env. variables accordinly.

set(KEXIV2_LIB_VERSION_STRING    "${KEXIV2_LIB_MAJOR_VERSION}.${KEXIV2_LIB_MINOR_VERSION}.${KEXIV2_LIB_PATCH_VERSION}${KEXIV2_LIB_SUFFIX_VERSION}")
set(KEXIV2_LIB_VERSION_ID        "0x0${KEXIV2_LIB_MAJOR_VERSION}0${KEXIV2_LIB_MINOR_VERSION}0${KEXIV2_LIB_PATCH_VERSION}")
set(KEXIV2_LIB_SO_VERSION_STRING "${KEXIV2_LIB_SO_CUR_VERSION}.${KEXIV2_LIB_SO_REV_VERSION}.${KEXIV2_LIB_SO_AGE_VERSION}")

# =======================================================

if(EXIV2_FOUND)

    add_subdirectory(libkexiv2)

    if(KDE4_BUILD_TESTS)
        MACRO_OPTIONAL_ADD_SUBDIRECTORY(tests)
    endif()

    include(CMakePackageConfigHelpers)

    CONFIGURE_PACKAGE_CONFIG_FILE(${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/libkexiv2-config.cmake.in libkexiv2-config.cmake
                                  INSTALL_DESTINATION "${LIB_INSTALL_DIR}/cmake/libkexiv2-${KEXIV2_LIB_VERSION_STRING}"
                                  PATH_VARS INCLUDE_INSTALL_DIR
                                  NO_CHECK_REQUIRED_COMPONENTS_MACRO)

    WRITE_BASIC_PACKAGE_VERSION_FILE(libkexiv2-config-version.cmake
                                     VERSION "${KEXIV2_LIB_MAJOR_VERSION}.${KEXIV2_LIB_MINOR_VERSION}.${KEXIV2_LIB_PATCH_VERSION}"
                                     COMPATIBILITY SameMajorVersion)
    install(EXPORT Libkexiv2
            DESTINATION "${LIB_INSTALL_DIR}/cmake/libkexiv2-${KEXIV2_LIB_VERSION_STRING}"
            NAMESPACE Libkexiv2::
            FILE libkexiv2-export.cmake)

    install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2-config.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2-config-version.cmake
            DESTINATION
            "${LIB_INSTALL_DIR}/cmake/libkexiv2-${KEXIV2_LIB_VERSION_STRING}")

endif()

MACRO_DISPLAY_FEATURE_LOG()

=== libkexiv2/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

include_directories(${EXIV2_INCLUDE_DIR})

add_definitions(${EXIV2_DEFINITIONS})
add_definitions(${KDE4_ENABLE_EXCEPTIONS})

if(WIN32)
    add_definitions(-DEXV_HAVE_DLL)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

# This was used to enable catching of exceptions thrown by libexiv2.
# We use now #pragma GCC visibility push(default) around the headers
#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=default")

set(kexiv2_LIB_SRCS kexiv2.cpp
                    kexiv2_p.cpp
                    kexiv2image.cpp
                    kexiv2comments.cpp
                    kexiv2exif.cpp
                    kexiv2iptc.cpp
                    kexiv2gps.cpp
                    kexiv2xmp.cpp
                    kexiv2previews.cpp
                    altlangstredit.cpp
                    msgtextedit.cpp
                    countryselector.cpp
                    subjectwidget.cpp
                    rotationmatrix.cpp
   )

KDE4_ADD_LIBRARY(kexiv2 SHARED ${kexiv2_LIB_SRCS})

target_link_libraries(kexiv2 ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY}
                             ${QT_QTXML_LIBRARY} ${EXIV2_LIBRARIES})

if(WIN32)
    TARGET_LINK_LIBRARIES( kexiv2 ${EXPAT_LIBRARIES} )
endif()

set_target_properties(kexiv2 PROPERTIES VERSION ${KEXIV2_LIB_SO_VERSION_STRING} 
                             SOVERSION ${KEXIV2_LIB_SO_CUR_VERSION})

install(TARGETS kexiv2 EXPORT Libkexiv2 ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES topicset.iptc-subjectcode.xml DESTINATION ${DATA_INSTALL_DIR}/libkexiv2/data)

# Check if compilation is done through digiKam SC or not. If yes, do not install header files.
if(NOT DIGIKAMSC_COMPILE_LIBKEXIV2)

    install(FILES kexiv2.h
                  kexiv2data.h
                  kexiv2previews.h
                  libkexiv2_export.h
                  msgtextedit.h
                  subjectwidget.h
                  altlangstredit.h
                  countryselector.h
                  rotationmatrix.h
                  ${CMAKE_CURRENT_BINARY_DIR}/version.h
            DESTINATION ${INCLUDE_INSTALL_DIR}/libkexiv2
            COMPONENT Devel
           )

    if(NOT WIN32)
            configure_file(${CMAKE_SOURCE_DIR}/cmake/templates/libkexiv2.pc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2.pc)
            configure_file(${CMAKE_SOURCE_DIR}/cmake/templates/libkexiv2.lsm.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2.lsm)
            install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
    endif()

endif()

=== debian/changelog ===
libkexiv2 (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:57:10 +0100

libkexiv2 (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:40:52 +0100

libkexiv2 (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Add back in libkexiv2-11v5 change

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 14:36:02 +0100

libkexiv2 (4:15.08.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 17:46:18 +0100

libkexiv2 (4:15.04.2-0ubuntu4) wily; urgency=medium

  * Mark one new template symbol from previous upload as optional as it only
    exists on 64 bit arches.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 11:15:27 +0200

libkexiv2 (4:15.04.2-0ubuntu3) wily; urgency=medium

  * Rename library to libkexiv2-11v5 as it changes ABI with g++ 5, and adjust
    symbols.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 10:40:16 +0200

libkexiv2 (4:15.04.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:14:14 +0200

=== debian/control ===
Source: libkexiv2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libexiv2-dev (>= 0.20),
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkexiv2.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkexiv2.git

Package: libkexiv2-11v5
Section: libs
Architecture: any
Depends: libkexiv2-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkexiv2-11
Replaces: libkexiv2-11
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkexiv2-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdegraphics-libs-data (<< 4:4.6.80)
Replaces: kdegraphics-libs-data (<< 4:4.6.80)
Description: Qt-like interface for the libexiv2 library -- data files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the data files of the libexiv2 library.

Package: libkexiv2-dev
Section: libdevel
Architecture: any
Depends: libkexiv2-11v5 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkexiv2-11v5}
Conflicts: libkexiv2-6-dev, libkexiv2-7-dev, libkexiv2-8-dev
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

Package: libkexiv2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libkexiv2-11v5 (= ${binary:Version}), ${misc:Depends}
Description: Qt-like interface for the libexiv2 library -- debugging symbols
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the debugging files used to investigate problems with
 the libexiv2 library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkexiv2-dbg

## libkexiv2 24.05.1

=== debian/changelog ===
libkexiv2 (24.05.1-2) unstable; urgency=medium

  * Update symbols file from the logs of buildds; also mark all the private
    symbols related to Exiv2 as optional.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Jul 2024 06:57:59 +0200

libkexiv2 (24.05.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.05.1).
  * Update build-deps and deps with the info from cmake.
  * New binary packages libkexiv2qt6-0 and libkexiv2qt6-dev.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Jul 2024 22:30:21 +0200

libkf5kexiv2 (23.04.2-2) unstable; urgency=medium

  * Update symbols file from the logs of buildds, and mark exiv2 private symbols
    as optional.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Jun 2023 07:42:35 +0200

libkf5kexiv2 (23.04.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove inactive Uploaders.
  * Re-export upstream signing key without extra signatures.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Jun 2023 19:24:37 +0200

libkf5kexiv2 (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:03 +0100

libkf5kexiv2 (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:40:19 +0100

libkf5kexiv2 (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:59 +0100

libkf5kexiv2 (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Update symbols from build for 22.12.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:07 +0100

libkf5kexiv2 (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 06 Apr 2022 22:37:36 +0200

libkf5kexiv2 (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:36:16 +0900

libkf5kexiv2 (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 12:51:59 +0900

libkf5kexiv2 (20.12.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5kexiv2-dev: Add Multi-Arch: same.

  [ Aurélien COUDERC ]
  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - Qt >= 5.12
    - extra-cmake-modules >= 5.68
  * Install generated usr/share/qlogging-categories5/libkexiv2.categories.
  * Rewrite copyright information in DEP-5 machine readable format.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Add myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Dec 2020 23:20:27 +0100

libkf5kexiv2 (20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new release-service location.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update symbols file.
  * Remove unused .acc.in file.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 17:23:02 +0200

libkf5kexiv2 (19.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Update the build dependencies according to the upstream build system:
    - cmake to 3.0.0
    - libexiv2-dev to 0.25
  * Update symbols file.
  * Switch from dhmk to dh with kf5 & pkgkde_symbolshelper addons, and
    as-needed linking.
  * Mark libkf5kexiv2-15.0.0 as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 09:23:19 +0200

libkf5kexiv2 (17.08.3-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.


=== debian/control ===
Source: libkexiv2
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.91.0~),
               libexiv2-dev (>= 0.25~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/libkexiv2
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git

Package: libkexiv2qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkexiv2qt6-dev
Section: libdevel
Architecture: any
Depends: libkexiv2qt6-0 (= ${binary:Version}), ${misc:Depends},
Multi-Arch: same
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

## libkexiv2 24.08.2

=== debian/changelog ===
libkexiv2 (24.08.2-1build1) plucky; urgency=medium

  * No-change rebuild for libexiv2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 12:11:58 +0000

libkexiv2 (24.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update symbols from build for 24.08.2.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 08:55:58 +0200

## libkexiv2 24.08.3

=== debian/changelog ===
libkexiv2 (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:47:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkexiv2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16.0~),
@@ -16,8 +17,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libkexiv2
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
 
 Package: libkexiv2qt6-0
 Section: libs
@@ -33,7 +34,8 @@
 Package: libkexiv2qt6-dev
 Section: libdevel
 Architecture: any
-Depends: libkexiv2qt6-0 (= ${binary:Version}), ${misc:Depends},
+Depends: libkexiv2qt6-0 (= ${binary:Version}),
+         ${misc:Depends},
 Multi-Arch: same
 Description: Qt-like interface for the libexiv2 library -- development files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate

## libkexiv2 24.12.0

=== debian/changelog ===
libkexiv2 (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:58:43 +0100

=== debian/control ===
Source: libkexiv2
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 5.91.0~),
               libexiv2-dev (>= 0.25~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/libkexiv2
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git

Package: libkexiv2qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkexiv2qt6-dev
Section: libdevel
Architecture: any
Depends: libkexiv2qt6-0 (= ${binary:Version}), ${misc:Depends},
Multi-Arch: same
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

## libkexiv2 24.12.1

=== debian/changelog ===
libkexiv2 (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:10:57 +0000

libkexiv2 (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:23:06 +0000

libkexiv2 (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:08:54 +0000

libkexiv2 (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 17:35:58 +0000

## libkexiv2 24.12.3

=== debian/changelog ===
libkexiv2 (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 13:38:13 +0000

libkexiv2 (24.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update symbols file from the logs of buildds.
  * CI: simplify/improve config.
  * Merge the upstream GPG signatures.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Mar 2025 08:00:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkexiv2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -13,11 +14,11 @@
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libkexiv2
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
 
 Package: libkexiv2qt6-0
 Section: libs

## libkexiv2 25.04.0

=== src/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2010-2015 Gilles Caulier <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

if (QT_MAJOR_VERSION STREQUAL "5")
    set(KEXIV2_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KExiv2")
    set(KEXIV2_CMAKECONFIG_NAME "KF${QT_MAJOR_VERSION}KExiv2")
    set(LIBRARYFILE_NAME "KF5KExiv2")
    set(TARGET_EXPORT_NAME "KExiv2")
    set(NAMESPACE_NAME "KF5::")
else()
    set(KEXIV2_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KExiv2Qt6")
    set(KEXIV2_CMAKECONFIG_NAME "KExiv2Qt6")
    set(LIBRARYFILE_NAME "KExiv2Qt6")
    set(TARGET_EXPORT_NAME "KExiv2Qt6")
    set(NAMESPACE_NAME "")
endif()

ecm_setup_version(${libkexiv2_VERSION}
    VARIABLE_PREFIX      KEXIV2
    VERSION_HEADER       "libkexiv2_version.h"
    PACKAGE_VERSION_FILE "${KEXIV2_CMAKECONFIG_NAME}ConfigVersion.cmake"
    SOVERSION            ${LIBKEXIV2_SO_VERSION}
)

kde_enable_exceptions()

add_library(KExiv2 SHARED)

set_target_properties(KExiv2  PROPERTIES
    OUTPUT_NAME KF${QT_MAJOR_VERSION}KExiv2
    VERSION     ${KEXIV2_VERSION}
    SOVERSION   ${KEXIV2_SOVERSION}
    OUTPUT_NAME ${LIBRARYFILE_NAME}
    EXPORT_NAME ${TARGET_EXPORT_NAME}
)

if( WIN32 )
    target_compile_definitions(KExiv2 PRIVATE -DEXV_HAVE_DLL)
endif()

target_sources(KExiv2 PRIVATE
    kexiv2.cpp
    kexiv2_p.cpp
    kexiv2data.cpp
    kexiv2image.cpp
    kexiv2comments.cpp
    kexiv2exif.cpp
    kexiv2iptc.cpp
    kexiv2gps.cpp
    kexiv2xmp.cpp
    kexiv2previews.cpp
    rotationmatrix.cpp
)
ecm_qt_declare_logging_category(KExiv2
    HEADER libkexiv2_debug.h
    IDENTIFIER LIBKEXIV2_LOG
    CATEGORY_NAME "libKExiv2"
    DESCRIPTION "libKExiv2"
    EXPORT kexiv2
)

ecm_generate_headers(kexiv2_CamelCase_HEADERS
    HEADER_NAMES
        KExiv2Data
        KExiv2
        KExiv2Previews
        RotationMatrix
    PREFIX KExiv2
    REQUIRED_HEADERS kexiv2_HEADERS
)

if (QT_MAJOR_VERSION STREQUAL "5")
    set(_generate_export_header_version_args)
else()
    # For Qt6/KF6 world transitively include the version header
    if(ECM_VERSION VERSION_LESS "5.106")
        set(include_version_header_code "#include <libkexiv2_version.h>\n")
        set(_generate_export_header_version_args CUSTOM_CONTENT_FROM_VARIABLE include_version_header_code)
    else()
        set(_generate_export_header_version_args USE_VERSION_HEADER libkexiv2_version.h)
    endif()
endif()

ecm_generate_export_header(KExiv2
    BASE_NAME kexiv2
    EXPORT_FILE_NAME libkexiv2_export.h
    EXPORT_MACRO_NAME LIBKEXIV2_EXPORT
    VERSION ${libkexiv2_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.1
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    ${_generate_export_header_version_args}
)

target_include_directories(KExiv2
    INTERFACE
        "$<INSTALL_INTERFACE:${KEXIV2_INSTALL_INCLUDEDIR};${KEXIV2_INSTALL_INCLUDEDIR}/kexiv2>"
)

target_link_libraries(KExiv2
    PUBLIC
        Qt::Gui
        Qt::Core
    PRIVATE
        LibExiv2::LibExiv2
)

if( WIN32 )
    target_link_libraries(KExiv2 ${EXPAT_LIBRARIES})
endif()

install(TARGETS KExiv2
    EXPORT  KExiv2Targets ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kexiv2_CamelCase_HEADERS}
    DESTINATION ${KEXIV2_INSTALL_INCLUDEDIR}/KExiv2
    COMPONENT   Devel
)

install(FILES
    ${kexiv2_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2_export.h
    DESTINATION ${KEXIV2_INSTALL_INCLUDEDIR}/kexiv2
    COMPONENT   Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2_version.h
    DESTINATION ${KEXIV2_INSTALL_INCLUDEDIR}
    COMPONENT   Devel
)

ecm_qt_install_logging_categories(
    EXPORT kexiv2
    FILE libkexiv2.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

############## CMake Config Files ##############

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KEXIV2_CMAKECONFIG_NAME}")

configure_package_config_file(
    "${CMAKE_SOURCE_DIR}/cmake/templates/KExiv2Config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${KEXIV2_CMAKECONFIG_NAME}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/${KEXIV2_CMAKECONFIG_NAME}Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/${KEXIV2_CMAKECONFIG_NAME}ConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT   Devel
)

install(EXPORT KExiv2Targets
    FILE        ${KEXIV2_CMAKECONFIG_NAME}Targets.cmake
    NAMESPACE   ${NAMESPACE_NAME}
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT   Devel
)

=== debian/changelog ===
libkexiv2 (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:02:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libkexiv2
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -17,8 +16,8 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libkexiv2
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git
 
 Package: libkexiv2qt6-0
 Section: libs

## libkexiv2 25.04.1

=== debian/changelog ===
libkexiv2 (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:16:58 +0100

libkexiv2 (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:01:57 +0100

## libkexiv2 25.04.2

=== debian/changelog ===
libkexiv2 (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:59:40 +0100

## libkexiv2 25.04.3

=== debian/changelog ===
libkexiv2 (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:54:48 +0100

## libkexiv2 25.07.80

=== debian/changelog ===
libkexiv2 (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:24:47 +0100

## libkexiv2 25.07.90

=== debian/changelog ===
libkexiv2 (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:59:35 +0100

## libkexiv2 25.08.0

=== debian/changelog ===
libkexiv2 (25.08.0-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 01:19:07 +0000

libkexiv2 (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:35:13 +0000

libkexiv2 (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:56:02 +0000

libkexiv2 (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:03:53 +0000

libkexiv2 (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:45:49 +0000

libkexiv2 (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:01:10 +0000

libkexiv2 (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:29:33 +0000

libkexiv2 (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:00:09 +0000

libkexiv2 (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:51:10 +0000

libkexiv2 (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:46:40 +0000

libkexiv2 (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:02:54 +0000

libkexiv2 (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:34:43 +0000

libkexiv2 (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:06:14 +0000

libkexiv2 (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:59:25 +0000

libkexiv2 (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:37:42 +0000

libkexiv2 (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:01:33 +0000

libkexiv2 (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 23 Feb 2024 08:35:17 +0000

libkf5kexiv2 (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:35:17 +0000

libkf5kexiv2 (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:14:23 +0000

libkf5kexiv2 (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:34:45 +0000

libkf5kexiv2 (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:52:16 +0000

libkf5kexiv2 (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:19:07 +0000

libkf5kexiv2 (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:23:15 +0000

libkf5kexiv2 (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:58:08 +0000

libkf5kexiv2 (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:49:50 +0000

libkf5kexiv2 (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:27:27 +0000

libkf5kexiv2 (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:02:52 +0000

libkf5kexiv2 (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:08:39 +0000

libkf5kexiv2 (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:31:20 +0000

libkf5kexiv2 (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:46:47 +0000

libkf5kexiv2 (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:30:12 +0000

libkf5kexiv2 (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:17:00 +0000

libkf5kexiv2 (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:40:09 +0000

libkf5kexiv2 (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:37:38 +0000

libkf5kexiv2 (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:47:30 +0000

libkf5kexiv2 (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:07:04 +0000

libkf5kexiv2 (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:05:35 +0000

libkf5kexiv2 (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:43:29 +0000

libkf5kexiv2 (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 14:55:43 +0000

libkf5kexiv2 (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:51 +0000

libkf5kexiv2 (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:23:15 +0000

libkf5kexiv2 (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:21 +0000

libkf5kexiv2 (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:28:38 +0000

libkf5kexiv2 (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:37 +0000

libkf5kexiv2 (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:18 +0000

libkf5kexiv2 (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:53 +0000



## libkexiv2 25.08.1

=== tests/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2010-2014 Gilles Caulier <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

add_executable(setiptcpreview)
target_sources(setiptcpreview PRIVATE setiptcpreview.cpp)
target_link_libraries(setiptcpreview KExiv2)

add_executable(loadfromba)
target_sources(loadfromba PRIVATE loadfromba.cpp)
target_link_libraries(loadfromba KExiv2)

add_executable(erasetag)
target_sources(erasetag PRIVATE erasetag.cpp)
target_link_libraries(erasetag KExiv2)

add_executable(printtagslist)
target_sources(printtagslist PRIVATE printtagslist.cpp)
target_link_libraries(printtagslist KExiv2)

add_executable(usexmpsidecar)
target_sources(usexmpsidecar PRIVATE usexmpsidecar.cpp)
target_link_libraries(usexmpsidecar KExiv2)

add_executable(readimagewritexmpsidecar)
target_sources(readimagewritexmpsidecar PRIVATE readimagewritexmpsidecar.cpp)
target_link_libraries(readimagewritexmpsidecar KExiv2)

add_executable(setxmpface)
target_sources(setxmpface PRIVATE setxmpface.cpp)
target_link_libraries(setxmpface KExiv2)

=== debian/changelog ===
libkexiv2 (25.08.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 11:14:19 +0000

libkexiv2 (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:08:13 +0000

## libkexiv2 25.08.1+p24.04+vstable+git20250910.0510

=== debian/changelog ===
libkexiv2 (25.08.1+p24.04+vstable+git20250910.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 05:10:14 +0000

## libkexiv2 25.08.2

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2010-2015 Gilles Caulier <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

cmake_minimum_required(VERSION 3.16)

set(ECM_MIN_VERSION     "5.91.0")
set(QT_MIN_VERSION      "5.15.0")
set(EXIV2_MIN_VERSION   "0.25")

project(libkexiv2 VERSION "5.1.0")

set(CMAKE_CXX_STANDARD 14) # exiv is not compatible with C++ > 14 yet
set(CMAKE_CXX_STANDARD_REQUIRED ON)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: ${PROJECT_NAME}")

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0
# 0.1.1 => 0.2.0
# 0.1.2 => 1.0.1
# 0.1.3 => 1.0.1
# 0.1.4 => 2.0.2
# 0.1.5 => 2.1.1
# 0.1.6 => 3.0.0
# 0.1.7 => 4.0.1
# 0.1.8 => 5.0.0
# 0.2.0 => 6.0.0     (released with KDE 4.1.0)
# 0.3.0 => 7.0.0     (released with KDE 4.1.2)
# 0.4.0 => 7.1.0
# 0.5.0 => 7.2.0     (Released with KDE 4.2.0)
# 0.6.0 => 7.3.0     (Released with KDE 4.3.0)
# 1.0.0 => 8.0.0     (Released with KDE 4.4.0)
# 1.1.0 => 8.1.0     (Released with KDE 4.5.0)
# 1.2.0 => 9.0.0     (Released with KDE 4.6.0) - Including XMP sidecar support
# 2.0.0 => 10.0.0    (Released with KDE 4.7.0)
# 2.1.0 => 10.0.1    (Released with KDE 4.7.1) - Add AltLangStrEdit visible lines API
# 2.1.1 => 10.0.2    (Released with KDE 4.7.4) - Add AltLangStrEdit::setCurrentLanguageCode()
# 2.2.0 => 11.0.0    (Released with KDE 4.8.1) - Remove deprecated methods
# 2.3.0 => 11.1.0    (Released with KDE 4.8.2) - Add new static methods about XMP sidecar file management.
# 2.3.1 => 11.2.0                              - Add new method to set specific XMP tag string
# 2.4.0 => 11.3.0                              - Add new method to access on text edit widget from AltLangStrEdit
# 5.0.0 => 15.0.0    (Released with KDE 5.x)
# 5.1.0 => 15.0.0    (Released with KDE Gear) - Add QTransform-varianst methods RotationMatrix

# Library ABI version used by linker.
# For details : https://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
set(KEXIV2_LIB_SO_CUR_VERSION "15")
set(KEXIV2_LIB_SO_REV_VERSION "0")
set(KEXIV2_LIB_SO_AGE_VERSION "0")
# TODO Qt6 or next ABI break: the very SO version is usually a single number, not a triple.
# The library non-SO version as decribed in the link above is a separate thing
# (cmp. VVERSION & SOVERSION args of set_target_properties(KF5KExiv2)
# See below (where QT_MAJOR_VERSION is available) for resetting LIBKEXIV2_SO_VERSION to 0 with Qt6 builds
set(LIBKEXIV2_SO_VERSION  "${KEXIV2_LIB_SO_CUR_VERSION}.${KEXIV2_LIB_SO_REV_VERSION}.${KEXIV2_LIB_SO_AGE_VERSION}")

############## ECM setup ######################

find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${libkexiv2_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)
include(CMakePackageConfigHelpers)
include(FeatureSummary)

# reset to 0 once all deprecated API has been removed on full switch to Qt6
if (QT_MAJOR_VERSION STREQUAL "6")
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 5.1.0 CACHE STRING "Control the range of deprecated API excluded from the build [default=5.1.0].")
else()
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
endif()

if (QT_MAJOR_VERSION STREQUAL "6")
    # starting with 0 for the new Qt6 series
    set(LIBKEXIV2_SO_VERSION "0")
endif()

############## Find Packages ###################

if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.5.0")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE
    COMPONENTS
        Core
        Gui
)

find_package(LibExiv2 ${EXIV2_MIN_VERSION} REQUIRED)

############## Targets #########################

if (QT_MAJOR_VERSION STREQUAL "6")
    ecm_set_disabled_deprecation_versions(
        QT 6.5
    )
else()
    ecm_set_disabled_deprecation_versions(
        QT 5.14 # QTransform::toAffine
    )
endif()

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkexiv2 (25.08.2-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 07:54:21 +0000

libkexiv2 (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:49:34 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/libkexiv2-([\d.]+).tar.xz

## libkexiv2 25.08.3

=== debian/changelog ===
libkexiv2 (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:19:29 +0000

libkexiv2 (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:56:04 +0100

libkexiv2 (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:58:33 +0100

libkexiv2 (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:33:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libkexiv2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 5.91.0~),
                libexiv2-dev (>= 0.25~),
                libxkbcommon-dev,
@@ -16,8 +17,8 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libkexiv2
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkexiv2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkexiv2.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkexiv2
 
 Package: libkexiv2qt6-0
 Section: libs
@@ -33,7 +34,8 @@
 Package: libkexiv2qt6-dev
 Section: libdevel
 Architecture: any
-Depends: libkexiv2qt6-0 (= ${binary:Version}), ${misc:Depends},
+Depends: libkexiv2qt6-0 (= ${binary:Version}),
+         ${misc:Depends},
 Multi-Arch: same
 Description: Qt-like interface for the libexiv2 library -- development files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/libkexiv2-([\d.]+)\.tar\.xz
